<?php
namespace Academico\Repositories;

class Endeprospect extends \Doctrine\ORM\EntityRepository
{
    public function consultaEnderecoProspect($cdProspect) 
    {
        $sql = "SELECT E.CDPAIS, P.IDIDIOMA
                  FROM ENDEPROSPECT E, PROSPECT P
                 WHERE E.CDPROSPECT = P.CDPROSPECT
                   AND E.CDPROSPECT = :CDPROSPECT
                   AND E.IDTPENDEPROS = 'P'";

        $params = array( "CDPROSPECT" => $cdProspect);

        try {
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public function consultaEndeProspAceitePco($cdProspect) 
    {
        $sql = "SELECT E.CDPROSPECT, E.IDTPENDEPROS, E.CDPAIS, E.SGESTADO, E.CDMUNICIPIO, E.DSENDEPROS,
                       E.NMBAIRPROS, E.NRCEPPROS, E.NRTELEPROS, E.NRRAMALPROS, E.NRTELEXPROS, E.NRFAXPROS,
                       E.NMCONTPROS, E.DSEMAILPROS, E.NRTELEPROS1, E.NRRAMALPROS1, E.NRTELRESIPRO,
                       E.NRCELULARPRO, B.NMPAIS, C.NMMUNICIPIO, E.NRENDERECOPARC
                  FROM MUNICIPIO C, PAIS B, ENDEPROSPECT E
                 WHERE E.CDPROSPECT = :P_CDPROSPECT
                   AND B.CDPAIS = E.CDPAIS
                   AND C.CDPAIS = E.CDPAIS
                   AND C.SGESTADO = E.SGESTADO
                   AND C.CDMUNICIPIO = E.CDMUNICIPIO";

        $params = array("P_CDPROSPECT" => $cdProspect);

        try {
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }    
}