IF EXISTS (SELECT * FROM sysobjects O, sysusers U
           WHERE
            o.name = 'VALIDA_ENDEFORN_FISC'  and
            type = 'TR'             and
            u.uid = o.uid           and
            u.name = USER)

   DROP TRIGGER VALIDA_ENDEFORN_FISC;
GO

CREATE TRIGGER VALIDA_ENDEFORN_FISC
ON ENDEFORN
FOR INSERT, UPDATE
AS
DECLARE @V_IDUTENDMODFISC  VARCHAR(1);
DECLARE @V_DSENDEFORNSEP   VARCHAR(50);
DECLARE @V_CDLOGRADOURO    VARCHAR(4);
DECLARE @V_NMBAIRFORN      VARCHAR(30);
DECLARE @V_NRCEPFORN       VARCHAR(15);
DECLARE @V_IDTPENDEFORN    VARCHAR(1)
BEGIN
   SET @V_IDUTENDMODFISC = NULL;

   SELECT @V_IDUTENDMODFISC = IDUTENDMODFISC
     FROM PARAMGERAL;

   DECLARE C_CURSOR CURSOR FOR
      SELECT INSERTED.DSENDEFORNSEP,
             INSERTED.CDLOGRADOURO,
             INSERTED.NMBAIRFORN,
             INSERTED.NRCEPFORN,
             INSERTED.IDTPENDEFORN
        FROM INSERTED,
             DELETED
       WHERE INSERTED.CDFORNECED   = DELETED.CDFORNECED
         AND INSERTED.IDTPENDEFORN = DELETED.IDTPENDEFORN
   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_DSENDEFORNSEP,
                                 @V_CDLOGRADOURO,
                                 @V_NMBAIRFORN,
                                 @V_NRCEPFORN,
                                 @V_IDTPENDEFORN;
   IF @V_IDUTENDMODFISC = 'S' BEGIN
      IF @V_IDTPENDEFORN = 'P' BEGIN
         IF @V_DSENDEFORNSEP IS NULL BEGIN
            RAISERROR('Campo Endereo deve ser informado.', 16,1);
         END;
         IF @V_CDLOGRADOURO IS NULL BEGIN
            RAISERROR('Campo Lougradouro deve ser informado.', 16,1);
         END;
         IF @V_NMBAIRFORN IS NULL BEGIN
            RAISERROR('Campo Bairro deve ser informado.', 16,1);
         END;
         IF @V_NRCEPFORN IS NULL BEGIN
            RAISERROR('Campo CEP deve ser informado.', 16,1);
         END;
      END;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'VALIDA_ENDEFORN_FISC','5.50.xxx';
GO